import * as node_path from 'node:path';
import * as node_crypto from 'node:crypto';
import * as node_fs_promises from 'node:fs/promises';
import { App } from 'electron';

interface Deps {
    app: App;
    fs: typeof node_fs_promises;
    crypto: typeof node_crypto;
    path: typeof node_path;
    ipcMain: Electron.IpcMain;
}
declare function register(deps: Deps, publicKey: string): void;
declare function unregister(): void;

export { register, unregister };
