/// <reference types="emscripten" />
declare namespace Logger {
    /**
     * Log level.
     */
    enum Level {
        Debug = "debug",
        Info = "info",
        Warn = "warn",
        Error = "error",
        Quiet = "quiet"
    }
    /**
     *
     * @param level The log level.
     */
    function setLevel(level: Level): void;
    /**
     *
     * @param level The log level.
     * @param data The log contents.
     */
    function log(level: Exclude<Level, Level.Quiet>, ...data: any[]): void;
}

export { Logger };
