/// <reference types="emscripten" />
import { QuadrilateralJSON, PointJSON, Quadrilateral, Point } from '../Common.js';
import { Serializable } from './Serializable.js';

interface AnchorPositionsJSON extends QuadrilateralJSON {
    centerRight: PointJSON;
    centerLeft: PointJSON;
    topCenter: PointJSON;
    bottomCenter: PointJSON;
    center: PointJSON;
}
declare class AnchorPositions extends Quadrilateral implements Serializable<AnchorPositionsJSON> {
    private readonly _centerRight;
    private readonly _centerLeft;
    private readonly _topCenter;
    private readonly _bottomCenter;
    private readonly _center;
    constructor(topLeft: Point, topRight: Point, bottomRight: Point, bottomLeft: Point, centerLeft: Point, topCenter: Point, centerRight: Point, bottomCenter: Point, center: Point);
    get centerRight(): Point;
    get center(): Point;
    get centerLeft(): Point;
    get topCenter(): Point;
    get bottomCenter(): Point;
    protected static fromJSON(json: AnchorPositionsJSON): AnchorPositions;
    toJSONObject(): AnchorPositionsJSON;
}

export { AnchorPositions, type AnchorPositionsJSON };
