/// <reference types="emscripten" />
import { B as DataCaptureContext, N as FrameData } from '../Camera-Cz-HPV-7.js';
import './Serializable.js';
import './FrameReaders/WatermarkStack.js';
import '../tsHelper.js';
import '../Common.js';
import '../DataCaptureContextSettings.js';
import '../DataCaptureViewPlusRelated.js';
import '../ViewControls.js';
import './CustomLocationsView.js';
import './View.js';
import './AnchorPositions.js';
import './HtmlElementState.js';
import '../logger.js';
import '../LoadingStatus.js';

interface DataCaptureContextFrameListener {
    onFrameProcessingStarted?: (context: DataCaptureContext, frameData: FrameData) => void;
    onFrameProcessingFinished?: (context: DataCaptureContext, frameData: FrameData) => void;
    onFrameSkipped?: (context: DataCaptureContext, frameData: FrameData) => void;
}

export type { DataCaptureContextFrameListener };
