/// <reference types="emscripten" />
import { LoadingStatusSubscriber } from '../LoadingStatus.js';
import { ConfigureOptions } from '../index.js';
import { Logger } from '../logger.js';
import { R as OverrideState } from '../Camera-Cz-HPV-7.js';
import '../worker/WorkerMain.js';
import '../Common.js';
import './Serializable.js';
import '../tsHelper.js';
import './AnchorPositions.js';
import '../browserHelper.js';
import '../browserCompatibility.js';
import '../DataCaptureContextSettings.js';
import '../DataCaptureVersion.js';
import '../DataCaptureViewPlusRelated.js';
import '../Feedback.js';
import '../ImageFrameSource.js';
import './FrameReaders/WatermarkStack.js';
import '../ViewControls.js';
import './CustomLocationsView.js';
import './View.js';
import './HtmlElementState.js';
import '../Localization.js';
import '../translations.js';
import '../LocationSelection.js';
import '../SingleImageUploader.js';
import '../SingleImageUploaderSettings.js';
import 'csstype';
import '../Viewfinder.js';
import '../ViewfinderPlusRelated.js';
import '../LaserlineViewfinder.js';
import '../RectangularViewfinder.js';
import '../AimerViewfinder.js';
import '../Brush.js';
import '../DataCaptureError.js';
import './utils/deferred.js';
import './utils/debounce.js';
import './utils/isObject.js';
import './utils/match.js';
import './utils/unknownErrorToString.js';
import './utils/timeout.js';
import './utils/defineCustomElements.js';
import './utils/css.js';
import './utils/html.js';
import './utils/waitTransitionEndForElement.js';
import './utils/wait.js';
import './utils/ScanditHTMLElement.js';
import './utils/isWorkerScope.js';
import './utils/throttle.js';

/**
 * @hidden
 * Hidden
 * */
interface NormalizedConfigureOptions extends ConfigureOptions {
    loadProgressNotifier?: LoadingStatusSubscriber;
    logLevel: Logger.Level;
    overrideThreadsSupport: OverrideState;
    overrideSimdSupport: OverrideState;
    verifyResponseHash: boolean;
    highEndBlurryRecognition?: boolean;
}

export type { NormalizedConfigureOptions };
