/// <reference types="emscripten" />
import { ScanditHTMLElement } from '../../utils/ScanditHTMLElement.js';
import { Rect } from '../../../Common.js';
import { Z as DataCaptureCallbackMessage } from '../../../Camera-Cz-HPV-7.js';
import '../../Serializable.js';
import '../../FrameReaders/WatermarkStack.js';
import '../../../tsHelper.js';
import '../../../DataCaptureContextSettings.js';
import '../../../DataCaptureViewPlusRelated.js';
import '../../../ViewControls.js';
import '../../CustomLocationsView.js';
import '../../View.js';
import '../../AnchorPositions.js';
import '../../HtmlElementState.js';
import '../../../logger.js';
import '../../../LoadingStatus.js';

declare enum HintPresenterEvents {
    Update = "hintpresenterupdate"
}
declare class HintPresenter extends ScanditHTMLElement {
    static readonly tag: "scandit-hints";
    private intervalId;
    private root;
    private _viewFinderRect;
    private onDidToastHideHandler;
    private orientationObserver;
    private onOrientationChangeHandler;
    constructor();
    private static createStyleElement;
    static register(): void;
    static create(): HintPresenter;
    connectedCallback(): void;
    disconnectedCallback(): void;
    setViewFinderRect(rect: Rect | null): void;
    handleMessage(message: DataCaptureCallbackMessage): void;
    private onDidToastHide;
    private showToast;
    private hideToast;
    private showGuidance;
    private hideGuidance;
    private startUpdateTimer;
    private stopUpdateTimer;
    private idFromHint;
    private onOrientationChange;
}
declare global {
    interface HTMLElementTagNameMap {
        [HintPresenter.tag]: HintPresenter;
    }
    interface HTMLElementEventMap {
        [HintPresenterEvents.Update]: CustomEvent<void>;
    }
}

export { HintPresenter, HintPresenterEvents };
