/// <reference types="emscripten" />
import { D as DataCaptureLoader } from './Camera-Cz-HPV-7.js';
import { LoadingStatus } from './LoadingStatus.js';
import './private/Serializable.js';
import './private/FrameReaders/WatermarkStack.js';
import './tsHelper.js';
import './Common.js';
import './DataCaptureContextSettings.js';
import './DataCaptureViewPlusRelated.js';
import './ViewControls.js';
import './private/CustomLocationsView.js';
import './private/View.js';
import './private/AnchorPositions.js';
import './private/HtmlElementState.js';
import './logger.js';

interface SDKGlobals {
    configurePhase: "done" | "started" | "unconfigured";
    configurePromise: Promise<void>;
    userLicenseKey: string;
    mainDataCaptureLoader: DataCaptureLoader;
    dataCaptureLoaders: Map<string, DataCaptureLoader>;
    loadingStatus: LoadingStatus;
}
type PartialSDKGlobals = Partial<SDKGlobals>;
declare const sdk: SDKGlobals;

export { type PartialSDKGlobals, sdk };
